
QGIS Application - Feature request #10553

background of the annotation text window's text box should be set to the annotation's background 

color

2014-06-11 08:04 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee:

Category:

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 18960

Description

Right now, the background color of the edit text box in the Annotation Text window is always set to the OS default (mostly white). It

becomes a problem when you change the annotation's text color to white (with a non-white annotation background color), see the

attached screenshot. When text color is white, it "disappears" on top of a white background. The easy solution here is for the text box's

background color to be set to the user-chosen annotation background color.

I'm flagging this as a feature request, but for some users, I'm pretty sure it would be perceived as a bug if he/she thinks his/her text just

vanished.

Associated revisions

Revision 76c4cae0 - 2016-07-26 07:52 AM - Nyall Dawson

Fix text annotation edit background should match frame background

Otherwise white text is not visible. Fix #10553.

Revision c9856744 - 2016-07-26 11:06 AM - Nyall Dawson

Fix text annotation edit background should match frame background

Otherwise white text is not visible. Fix #10553.

(cherry-picked from 76c4cae)

Revision b351d160 - 2016-07-26 11:45 AM - Nyall Dawson

Fix text annotation edit background should match frame background

Otherwise white text is not visible. Fix #10553.

(cherry-picked from 76c4cae)

Revision a655ec72 - 2016-07-26 12:38 PM - Nyall Dawson

Fix text annotation edit background should match frame background

Otherwise white text is not visible. Fix #10553.
(cherry-picked from 76c4cae)

History

#1 - 2014-06-11 08:06 PM - Mathieu Pellerin - nIRV

- File gone-text-gone.png added

Oups, here's the above-mentioned screenshot.

#2 - 2016-07-25 10:53 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"76c4cae0a3fbfdc454dc758356608b603ea20bb3".

Files

gone-text-gone.png 761 KB 2014-06-11 Mathieu Pellerin - nIRV
